Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery Class Reference

Class DeleteDoctrineQuery. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery:

## Public Member Functions
| deleteFrom ($table)
| Opens the query and sets the target table to $table. More...
| where ()
| Adds a where clause with logical expressions to the query. More...
| getQuery ()
Public Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| __construct (Connection $connection)
| subSelect ()
| Create a subselect used with the current query. More...
| prepare ()
| bindValue ($value, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the value $value to the specified variable name $placeHolder. More...
| bindParam (&$param, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the parameter $param to the specified variable name $placeHolder. More...
| __toString ()
| Return the SQL string for this query. More...
Public Member Functions inherited from eZ\Publish\Core\Persistence\Database\Query
| subSelect ()
| Create a subselect used with the current query. More...
| prepare ()
| bindValue ($value, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the value $value to the specified variable name $placeHolder. More...
| bindParam (&$param, $placeHolder=null, $type=PDO::PARAM_STR)
| Binds the parameter $param to the specified variable name $placeHolder. More...
| __toString ()
| Return the SQL string for this query. More...

## Private Attributes
| $table
| $where = []

## Additional Inherited Members
Public Attributes inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| $expr
Protected Member Functions inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| parseArguments (array $args)
| Parse the arguments and validate for existance of values. More...
Protected Attributes inherited from eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery
| $connection

## Detailed Description

Class DeleteDoctrineQuery.

Deprecated:
  Since 6.13, please use Doctrine DBAL instead (@ezpublish.persistence.connection) it provides richer and more powerful DB abstraction which is also easier to use.

Definition at line 18 of file DeleteDoctrineQuery.php.

## Member Function Documentation

## ◆ deleteFrom()

eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery::deleteFrom | ( |  | $table | ) |

Opens the query and sets the target table to $table.

deleteFrom() returns a pointer to $this.

Parameters

  string | $table |

Returns
  \eZ\Publish\Core\Persistence\Database\DeleteQuery

Implements eZ\Publish\Core\Persistence\Database\DeleteQuery.

Definition at line 35 of file DeleteDoctrineQuery.php.

References eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\$table.

## ◆ getQuery()

eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery::getQuery | ( |  | ) |

Returns
  string

Implements eZ\Publish\Core\Persistence\Database\Query.

Definition at line 78 of file DeleteDoctrineQuery.php.

References eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\$where, and eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\where().

## ◆ where()

eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery::where | ( |  | ) |

Adds a where clause with logical expressions to the query.

where() accepts an arbitrary number of parameters. Each parameter must contain a logical expression or an array with logical expressions. where() could be invoked several times. All provided arguments added to the end of $whereString and form final WHERE clause of the query. If you specify multiple logical expression they are connected using a logical and.

Example: `$q->deleteFrom( 'MyTable' )->where( $q->eq( 'id', 1 ) );`

Exceptions

Implements eZ\Publish\Core\Persistence\Database\DeleteQuery.

Definition at line 64 of file DeleteDoctrineQuery.php.

References eZ\Publish\Core\Persistence\Doctrine\AbstractDoctrineQuery\parseArguments().

Referenced by eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\getQuery().

## Member Data Documentation

## ◆ $table

eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery::$table
| private

Definition at line 21 of file DeleteDoctrineQuery.php.

Referenced by eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\deleteFrom().

## ◆ $where

eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery::$where = []
| private

Definition at line 24 of file DeleteDoctrineQuery.php.

Referenced by eZ\Publish\Core\Persistence\Doctrine\DeleteDoctrineQuery\getQuery().

The documentation for this class was generated from the following file:

- DeleteDoctrineQuery.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.